unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WordApp, StdCtrls, OleCtrls, ActiveX;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    btnVisible: TButton;
    GroupBox2: TGroupBox;
    edFileName: TEdit;
    btnOpenWorkbook: TButton;
    Label1: TLabel;
    btnAddWorkbook: TButton;
    chkCloseOnDestroy: TCheckBox;
    btnQuit: TButton;
    chkDisplayAlerts: TCheckBox;
    GroupBox3: TGroupBox;
    Label2: TLabel;
    btnGotoBookmark: TButton;
    GroupBox4: TGroupBox;
    btnTypeText: TButton;
    Label3: TLabel;
    edText: TEdit;
    btnActivate: TButton;
    cboBookmark: TComboBox;
    procedure btnVisibleClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnOpenWorkbookClick(Sender: TObject);
    procedure btnAddWorkbookClick(Sender: TObject);
    procedure chkCloseOnDestroyClick(Sender: TObject);
    procedure btnQuitClick(Sender: TObject);
    procedure chkDisplayAlertsClick(Sender: TObject);
    procedure btnGotoBookmarkClick(Sender: TObject);
    procedure btnTypeTextClick(Sender: TObject);
    procedure btnActivateClick(Sender: TObject);
  private
    Word: TWordApp;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Word_TLB;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Word := TWordApp.Create;
  chkCloseOnDestroy.Checked := Word.CloseOnDestroy;
  chkDisplayAlerts.Checked := Word.DisplayAlerts;
  edFileName.Text := ExtractFilePath(Application.ExeName) + 'Taiwan.doc';
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Word.Free;
end;

procedure TForm1.chkCloseOnDestroyClick(Sender: TObject);
begin
  Word.CloseOnDestroy := chkCloseOnDestroy.Checked;
end;

procedure TForm1.chkDisplayAlertsClick(Sender: TObject);
begin
  Word.DisplayAlerts := chkDisplayAlerts.Checked;
end;

procedure TForm1.btnVisibleClick(Sender: TObject);
begin
  Word.Visible := true;
end;

procedure TForm1.btnActivateClick(Sender: TObject);
begin
  Word.Activate;
end;

procedure TForm1.btnQuitClick(Sender: TObject);
begin
  Word.Quit;
end;

procedure TForm1.btnOpenWorkbookClick(Sender: TObject);
begin
  Word.Documents.Open(edFileName.Text);
end;

procedure TForm1.btnAddWorkbookClick(Sender: TObject);
begin
  Word.Documents.Add(edFileName.Text);
end;

procedure TForm1.btnGotoBookmarkClick(Sender: TObject);
begin
  Word.GotoBookmark(cboBookmark.Text);
end;

procedure TForm1.btnTypeTextClick(Sender: TObject);
begin
  Word.Selection.TypeText(edText.Text);
end;


end.
